:root {
  --border-width: 2px;
  --border-style: solid;
  --border-color: #e6e7eb;
  --border-radius: 0;

  --button-padding: 0.75rem;
  --button-background: #000;
  --button-background-hover: #af1280;
  --button-color: #fff;
  --button-color-hover: #fff;

  --button-background--continue: #d32d61;
  --button-background-hover--continue: #af1280;
  --button-color--continue: #fff;
  --button-color-hover--continue: #fff;

  --message-padding: 1rem;
  --message-background--plain: #f8f9fa;
  --message-color--plain: #212529;
  --message-border--plain: #e6e7eb;
  --message-background--success: #d4edda;
  --message-color--success: #155724;
  --message-border--success: #c3e6cb;
  --message-background--info: #d1ecf1;
  --message-color--info: #0c5460;
  --message-border--info: #bee5eb;
  --message-background--warning: #f8d7da;
  --message-color--warning: #721c24;
  --message-border--warning: #f5c6cb;

  --input-border-color: #ccc;

  --calendar-day-selected-background: #0300d3;
  --calendar-day-selected-border-color: #0300d3;
  --calendar-day-selected-color: #fff;

  --progress-bar-background: #af1280;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-Thin.woff)
    format("woff");
  font-weight: 100;
  font-style: normal;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-ThinItalic.woff)
    format("woff");
  font-weight: 100;
  font-style: italic;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-Light.woff)
    format("woff");
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-LightItalic.woff)
    format("woff");
  font-weight: 300;
  font-style: italic;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-Regular.woff)
    format("woff");
  font-weight: 400;
  font-style: normal;
  ascent-override: 90%; /* reduce top space */
  descent-override: 20%; /* reduce bottom space */
  line-gap-override: 0%; /* remove built-in line gap */
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-RegularItalic.woff)
    format("woff");
  font-weight: 400;
  font-style: italic;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-Medium.woff)
    format("woff");
  font-weight: 500;
  font-style: normal;
  ascent-override: 90%; /* reduce top space */
  descent-override: 20%; /* reduce bottom space */
  line-gap-override: 0%; /* remove built-in line gap */
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-MediumItalic.woff)
    format("woff");
  font-weight: 500;
  font-style: italic;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-Bold.woff)
    format("woff");
  font-weight: 700;
  font-style: normal;
  ascent-override: 90%; /* reduce top space */
  descent-override: 20%; /* reduce bottom space */
  line-gap-override: 0%; /* remove built-in line gap */
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-BoldItalic.woff)
    format("woff");
  font-weight: 700;
  font-style: italic;
}
@font-face {
  font-family: SMGSans;
  src: url(https://smgco-images.s3.amazonaws.com/fonts/SMGSans-Fat.woff)
    format("woff");
  font-weight: 900;
  font-style: normal;
  ascent-override: 90%; /* reduce top space */
  descent-override: 20%; /* reduce bottom space */
  line-gap-override: 0%; /* remove built-in line gap */
}

html {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}

body,
button {
  -webkit-font-smoothing: antialiased;
  font-smoothing: antialiased;
  font-family:
    SMGSans,
    -apple-system,
    BlinkMacSystemFont,
    Segoe UI,
    Roboto,
    Helvetica,
    Arial,
    sans-serif;
}

.admissions-panel__title,
.admissions-block__title,
.admissions-step__title,
.admissions-enhancement__pre-title,
.admissions-enhancement__title,
.admissions-ticket-group__title,
button {
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: -0.025em;
}

.admissions-step__title {
  margin: 1rem 0;
}

p a {
  color: #000;
  text-decoration: underline;
}

p a:hover {
  text-decoration: none;
}

.admissions-enhancement__pre-title {
  font-size: 0.9rem;
}

.admissions-enhancement__title,
.admissions-block--app-event-overview .admissions-block__title {
  font-size: 1.65rem;
}

.admissions-enhancement__price-label {
  font-size: 1.1rem;
  font-weight: 700;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.admissions-enhancement__actions {
  border-top-width: 1px;
  border-top-style: var(--border-style);
  border-top-color: var(--border-color);
  padding-top: calc(var(--padding) * 0.75);
}

.admissions-enhancement__button.admissions-button--select-tickets {
  background-color: #eeeeee;
  color: #000;

  &:hover {
    background-color: var(--button-background-hover);
    color: var(--button-color-hover);
  }
}

@media (min-width: 768px) {
  .admissions-enhancement {
    gap: 0.65rem;
  }
}

.admissions-booking-total__label {
  font-size: 1.35rem;
  text-transform: uppercase;
}

.admisssions-block--enhancements-add-all {
  --border-color: #55b9b3;
  --block-background: #e9fefe;

  display: flex;
  flex-wrap: wrap;
  align-items: baseline;

  .admissions-block__title {
    text-transform: none;
    width: 100%;
    margin-bottom: 0;
  }

  .admissions-block__content {
    margin-right: auto;
  }
}

.admissions-button--back {
  background-color: #fff;
  border: 2px solid #ccc;
  color: #888;

  &:hover {
    background-color: #ccc;
    color: #000;
  }
}
